Intrusion Prevention

Apple.iTunes.itms.URI.Handling.Buffer.Overflow

Description

This indicates an attack attempt against a buffer-overflow vulnerability in Apple itunes.
The vulnerability is caused by an error when the vulnerable software handles
an overly long itms uri. It allows a remote attacker to execute arbitrary code by tricking the user to visit a malicious url.

Affected Products

Apple iTunes versions prior to 8.2

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Upgrade to Apple iTunes version 8.2 or later, available from the following web site:
http://www.apple.com/itunes/download

CVE References

CVE-2009-0950